import * as plugins from './mod.plugins.js';
import * as paths from '../paths.js';

export let run = (argvArg) => {
  let projectInfo = new plugins.projectinfo.ProjectInfo(paths.cwd);
  if (argvArg._[1] === 'ci') {
    plugins.smartopen.openUrl(
      `https://gitlab.com/${projectInfo.git.gituser}/${projectInfo.git.gitrepo}/settings/ci_cd`
    );
  } else if (argvArg._[1] === 'pipelines') {
    plugins.smartopen.openUrl(
      `https://gitlab.com/${projectInfo.git.gituser}/${projectInfo.git.gitrepo}/pipelines`
    );
  }
};
